# -*- coding: utf-8 -*-
from Passives import *
from Wands import *
from Armor import *
from Weapons import *
from generator import *

if False:
    print('\n\n === PASSIVES ===')
    for a in passives:
        print(a.name.plain(), end = ', ')
    print('\n\n ===== WANDS =====')
    for a in wands:
        print(a.name.plain(), end = ', ')
    print('\n\n ===== ARMOR =====')
    for a in armor:
        print(a.name.plain(), end = ', ')
    print('\n\n ==== WEAPONS ====')
    for a in weapons:
        print(a.name.plain(), end = ', ')
    print('\n')

all = passives + wands + armor + weapons
# --- Generation part -----------
generator = Generator(passives + wands + armor + weapons)
generator.make()

total = len(passives) + len(wands) + len(armor) + len(weapons)
print('\n\t· Passives: {0}, Wands: {1}, Armor: {2}, Weapons: {3}  Total: {4}\n'.format(len(passives), len(wands), len(armor), len(weapons), total))

#   JText:    txt, (color, bold, italic, underlined)
#   JLine:    line{list of JTxt}
#   Lore:     (l{list of JLine, JTxt or str})
#   Passive:  name{Json}, lore{Lore}, model{str}, rank, (curse, dmg, hp, speed, luck, mana_speed, mana_capacity, mana_cost, kills_capacity {int}, custom_on, custom_off {Bool})
#   ItemBook: list{list of Items}

#   generate(l={list of Items or books})

"""
JTxt('exemple', color = 'red', italic = False, underline = True)
JLine([Jtxt1 , Jtxt2])
Lore(['set', JTxt('a'), JLine()])
Item(
    id = 'stone',
    name = JTxt('prova','dark_red', True, underlined = True),
    lore = Lore(['prova_l']),
    model = '1000',
    Itype = 'wand',
    rank = 'a',
    stats = Stats([ Stat('armor', 10, 'armor')]),
    cost = 0,
    element = 'fire',
    use = 'instant' or 'arch' or 'click_keep'
    custom_on = True,
    custom_off = False,
    holder = True,
    color = 'mage_armor',
    other = '<other nbt>',
    bought = False)
"""
